/*!
 * gitmars v7.0.0-beta.30
 * 这是一个git工作流工具
 * (c) 2021-2024 saqqdy<https://github.com/saqqdy> 
 * Released under the MIT License.
 */
const t = (txt) => txt;
const cmdConfig = {
  command: "revert",
  short: "rt",
  args: [
    {
      required: false,
      name: "commitid",
      variadic: false,
      validator: (val, opts, cb) => {
        cb();
      },
      // transformer: null,
      description: t("ID of the undo needed")
    }
  ],
  options: [
    {
      flags: "-n, --number [number]",
      required: false,
      optional: true,
      variadic: false,
      mandatory: false,
      short: "-n",
      long: "--number",
      negate: false,
      description: t("Undo the last commit (or undo the penultimate nth commit)"),
      defaultValue: ""
    },
    {
      flags: "-m, --mode [mode]",
      required: false,
      optional: true,
      variadic: false,
      mandatory: false,
      short: "-m",
      long: "--mode",
      negate: false,
      description: t(
        "For undoing a merge record, the type to be passed in: 1 = keep current branch code, 2 = keep incoming code"
      ),
      defaultValue: "",
      options: ["1", "2"],
      value: "1"
    }
  ],
  // validator opts
  validatorOpts: (val, opts, cb) => {
    cb();
  },
  // validator args
  validatorArgs: (val, opts, cb) => {
    cb();
  },
  // transform opts
  transformOpts: (val, opts, cb) => {
    cb();
  },
  // transform args
  transformArgs: (val, opts, cb) => {
    cb();
  }
};

export { cmdConfig, cmdConfig as default };
