#!/usr/bin/env node
/*!
 * gitmars v7.0.0-beta.30
 * 这是一个git工作流工具
 * (c) 2021-2024 saqqdy<https://github.com/saqqdy> 
 * Released under the MIT License.
 */
import { program } from 'commander';
import { createArgs } from '@gitmars/utils';
import { run } from '@gitmars/hook';
import lang from './common/local.mjs';
import { cmdConfig } from './conf/run.mjs';

const { t } = lang;
const { args, options } = cmdConfig;
program.name("gitm run").usage("[command] [args...]").description(t("git hook run command"));
if (args.length > 0)
  program.arguments(createArgs(args));
options.forEach((o) => {
  program.option(o.flags, o.description, o.defaultValue);
});
program.action((command, args2) => {
  run(command, args2);
});
program.parse(process.argv);
