#!/usr/bin/env node
/*!
 * gitmars v7.0.0-beta.30
 * 这是一个git工作流工具
 * (c) 2021-2024 saqqdy<https://github.com/saqqdy> 
 * Released under the MIT License.
 */
import { program } from 'commander';
import sh from 'shelljs';
import chalk from 'chalk';
import { createArgs } from '@gitmars/utils';
import { getIsGitProject } from '@gitmars/git';
import lang from './common/local.mjs';
import { cmdConfig } from './conf/suggest.mjs';

const { t } = lang;
const { red } = chalk;
const { args, options } = cmdConfig;
if (!getIsGitProject()) {
  sh.echo(red(t("The current directory is not a git project directory")));
  process.exit(1);
}
program.name("gitm suggest").usage("[message] [index] [-k --keep [keep]]").description(t("Suggestions for operation"));
if (args.length > 0)
  program.arguments(createArgs(args));
options.forEach((o) => {
  program.option(o.flags, o.description, o.defaultValue);
});
program.action((message, index, opt) => {
});
program.parse(process.argv);
